Skip to main content
PUT
/
v2
/
extensions
/
{extensionId}
/
manifest
Put Extension Manifest
curl --request PUT \
  --url https://api.jtl-cloud.com/erp/v2/extensions/{extensionId}/manifest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "manifest": "aSDinaTvuI8gbWludGxpZnk=",
  "signature": "aSDinaTvuI8gbWludGxpZnk="
}
'
{
  "errorCode": "<string>",
  "validationErrors": {},
  "errors": {},
  "errorMessage": "<string>",
  "stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

extensionId
string<uuid>
required

The id of the Extension Represents a unique key for identifying an extension within the JTL.Wawi extensibility framework.

Body

application/json

The Manifest of the Extension

Model Class: PutExtensionManifest

manifest
string<byte>

The Data of the Extension Manifest

signature
string<byte>

The Signature of the Manifest

Response

The changed Extension